{
  "name": "site_logiciels",
  "version": "0.4.0",
  "description": "Site présentant les logiciels et services Opentalent",
  "repository": "https://gitlab.2iopenservice.com/opentalent/site_logiciels",
  "private": true,
  "type": "module",
  "engines": {
    "node": "18.19"
  },
  "scripts": {
    "setupenv": "node ./env/setupEnv.mjs",
    "dev": "yarn setupenv && nuxt dev",
    "generate": "yarn setupenv && nuxt generate",
    "prepare": "yarn setupenv && nuxt prepare",
    "start": "nuxt start",
    "deploy": "git pull && yarn install && yarn generate",
    "lint": "eslint --ext \".ts,.js,.vue\" --ignore-path .gitignore ."
  },
  "dependencies": {
    "@fortawesome/fontawesome-free": "^6.5.1",
    "@fortawesome/free-brands-svg-icons": "^6.5.1",
    "@fortawesome/free-regular-svg-icons": "^6.5.1",
    "@fortawesome/free-solid-svg-icons": "^6.5.1",
    "@hcaptcha/vue3-hcaptcha": "^1.3.0",
    "@nuxtjs/date-fns": "^1.5.0",
    "@nuxtjs/google-fonts": "^3.2.0",
    "@nuxtjs/i18n": "^8.1.1",
    "@nuxtjs/sitemap": "^5.2.0",
    "@pinia-orm/nuxt": "^1.7.0",
    "@pinia/nuxt": "^0.5.1",
    "@splidejs/vue-splide": "^0.6.12",
    "@vue-leaflet/vue-leaflet": "^0.10.1",
    "@vuelidate/core": "^2.0.3",
    "@vuelidate/validators": "^2.0.4",
    "axios": "^1.6.7",
    "core-js": "^3.35.1",
    "date-fns": "^3.3.1",
    "eslint-import-resolver-typescript": "^3.6.1",
    "leaflet": "^1.9.3",
    "libphonenumber-js": "^1.10.55",
    "nuxt": "^3.11.2",
    "nuxt-lodash": "^2.5.3",
    "nuxt3-leaflet": "^1.0.12",
    "ofetch": "^1.3.3",
    "pinia": "^2.1.7",
    "pinia-orm": "^1.7.2",
    "sass": "^1.70.0",
    "typeface-barlow": "^1.1.13",
    "uuid": "^9.0.1",
    "vite-plugin-vuetify": "^2.0.3",
    "vue3-carousel": "^0.3.1",
    "vuetify": "^3.6.7"
  },
  "devDependencies": {
    "@nuxt/devtools": "^1.0.8",
    "@nuxt/eslint-config": "^0.3.6",
    "@nuxtjs/eslint-config": "^12.0.0",
    "@nuxtjs/eslint-config-typescript": "^12.1.0",
    "@nuxtjs/eslint-module": "^4.1.0",
    "@nuxtjs/fontawesome": "^1.1.2",
    "@types/jest": "^29.4.0",
    "@types/leaflet": "^1.9.8",
    "@types/lodash": "^4.14.202",
    "@types/uuid": "^9.0.7",
    "@typescript-eslint/eslint-plugin": "^7.0.1",
    "@typescript-eslint/parser": "^7.0.1",
    "@vitejs/plugin-vue": "^5.0.4",
    "@vitest/coverage-c8": "^0.33.0",
    "@vue/eslint-config-standard": "^8.0.1",
    "eslint": "^8.57.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-nuxt": "^4.0.0",
    "eslint-plugin-prettier": "^5.1.3",
    "eslint-plugin-vue": "^9.21.1",
    "jsdom": "^24.0.0",
    "prettier": "3.2.5",
    "sass-loader": "^14.1.0",
    "typescript": "^5.3.3"
  },
  "packageManager": "yarn@4.1.1"
}
